Source: haskell-lambdabot-reference-plugins
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Alexandre Delanoë <anoe@debian.org>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8.4.3),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-http-dev (>= 1:4000),
 libghc-http-prof,
 libghc-lambdabot-core-dev (>= 5.3),
 libghc-lambdabot-core-dev (<< 5.4),
 libghc-lambdabot-core-prof,
 libghc-network-dev (>= 2.7),
 libghc-network-dev (<< 3.2),
 libghc-network-prof,
 libghc-network-uri-dev (>= 2.6),
 libghc-network-uri-dev (<< 2.7),
 libghc-network-uri-prof,
 libghc-oeis-dev (>= 0.3.1),
 libghc-oeis-prof,
 libghc-regex-tdfa-dev (>= 1.1),
 libghc-regex-tdfa-prof,
 libghc-split-dev (>= 0.2),
 libghc-split-prof,
 libghc-tagsoup-dev (>= 0.12),
 libghc-tagsoup-prof,
 libghc-utf8-string-dev (>= 0.3),
 libghc-utf8-string-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-http-doc,
 libghc-lambdabot-core-doc,
 libghc-network-doc,
 libghc-network-uri-doc,
 libghc-oeis-doc,
 libghc-regex-tdfa-doc,
 libghc-split-doc,
 libghc-tagsoup-doc,
 libghc-utf8-string-doc,
Standards-Version: 4.4.0
Homepage: https://wiki.haskell.org/Lambdabot
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-lambdabot-reference-plugins
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-lambdabot-reference-plugins]
X-Description: Lambdabot reference plugins
 Lambdabot is an IRC bot written over several years by
 those on the #haskell IRC channel.
 .
 Provided plugins:
 .
 [dict] Query various dictionaries.
 .
 [metar] Look up avian weather reports.
 .
 [oeis] Look up number sequences on OEIS.
 .
 [search] Query search engines.
 .
 [spell] Check spelling of wrods.
 .
 [ticker] Look up stock quotes.
 .
 [url] Display titles of URLs on channels.
 .
 [where] Manage and query a key-URL list.

Package: libghc-lambdabot-reference-plugins-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-lambdabot-reference-plugins-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-lambdabot-reference-plugins-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
